------------------------------------------------------------------------------------
--Name:  	juqing1
--Creator:	由剧情表现脚本编辑器生成
--Created:	2024-03-22
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(227, 251)
CppScriptMgr:NpcCallOut("The network of Lost City has been destroyed. Currently, only the network in Keel Harbor is repaired.", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_Summer202307", 150, 430, "RedQueen", 250, 655, false)
local monster_1 = CppScriptMgr:AddPlayer(431, 220, 241, "", 0, 0)
monster_1:WalkTo(205, 256)
monster_1:SetFrameInterval(60)
local monster_2 = CppScriptMgr:AddPlayer(431, 224, 241, "", 0, 0)
monster_2:WalkTo(209, 256)
monster_2:SetFrameInterval(60)
local monster_5 = CppScriptMgr:AddPlayer(431, 228, 241, "", 0, 0)
monster_5:WalkTo(213, 256)
monster_5:SetFrameInterval(60)
local monster_7 = CppScriptMgr:AddPlayer(431, 232, 241, "", 0, 0)
monster_7:WalkTo(217, 256)
monster_7:SetFrameInterval(60)
local monster_0 = CppScriptMgr:AddPlayer(439, 231, 258, "", 0, 0)
monster_0:SetDir(4)
monster_0:WalkTo(251, 238)
monster_0:SetFrameInterval(60)
local monster_3 = CppScriptMgr:AddPlayer(439, 221, 258, "", 0, 0)
monster_3:SetDir(4)
monster_3:WalkTo(241, 238)
monster_3:SetFrameInterval(60)
local monster_4 = CppScriptMgr:AddPlayer(439, 225, 258, "", 0, 0)
monster_4:SetDir(4)
monster_4:WalkTo(245, 238)
monster_4:SetFrameInterval(60)
local monster_6 = CppScriptMgr:AddPlayer(439, 229, 258, "", 0, 0)
monster_6:SetDir(4)
monster_6:WalkTo(249, 238)
monster_6:SetFrameInterval(60)
local monster_8 = CppScriptMgr:AddPlayer(431, 230, 233, "", 0, 0)
monster_8:WalkTo(214, 249)
monster_8:SetFrameInterval(60)
local monster_9 = CppScriptMgr:AddPlayer(431, 234, 233, "", 0, 0)
monster_9:WalkTo(218, 249)
monster_9:SetFrameInterval(60)
local monster_10 = CppScriptMgr:AddPlayer(431, 238, 233, "", 0, 0)
monster_10:WalkTo(222, 249)
monster_10:SetFrameInterval(60)
local monster_11 = CppScriptMgr:AddPlayer(431, 240, 233, "", 0, 0)
monster_11:WalkTo(224, 249)
monster_11:SetFrameInterval(60)
local monster_12 = CppScriptMgr:AddPlayer(439, 215, 264, "", 0, 0)
monster_12:SetDir(4)
monster_12:WalkTo(225, 254)
monster_12:SetFrameInterval(60)
local monster_13 = CppScriptMgr:AddPlayer(439, 221, 264, "", 0, 0)
monster_13:SetDir(4)
monster_13:WalkTo(231, 254)
monster_13:SetFrameInterval(60)
local monster_14 = CppScriptMgr:AddPlayer(439, 227, 264, "", 0, 0)
monster_14:SetDir(4)
monster_14:WalkTo(237, 254)
monster_14:SetFrameInterval(60)
local monster_15 = CppScriptMgr:AddPlayer(439, 234, 264, "", 0, 0)
monster_15:SetDir(4)
monster_15:WalkTo(244, 254)
monster_15:SetFrameInterval(60)
local monster_16 = CppScriptMgr:AddPlayer(439, 209, 270, "", 0, 0)
monster_16:SetDir(4)
monster_16:WalkTo(229, 250)
monster_16:SetFrameInterval(60)
local monster_17 = CppScriptMgr:AddPlayer(439, 213, 273, "", 0, 0)
monster_17:SetDir(4)
monster_17:WalkTo(223, 253)
monster_17:SetFrameInterval(60)
local monster_18 = CppScriptMgr:AddPlayer(439, 217, 277, "", 0, 0)
monster_18:SetDir(4)
monster_18:WalkTo(237, 257)
monster_18:SetFrameInterval(60)
local monster_19 = CppScriptMgr:AddPlayer(439, 221, 281, "", 0, 0)
monster_19:SetDir(4)
monster_19:WalkTo(241, 261)
monster_19:SetFrameInterval(60)
CppScriptMgr:WaitMilSec(2500)
CppScriptMgr:NpcCallOut("Experimental Subjects have evolved many times, infesting the Lost City with parasitic beings.", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_Summer202307", 150, 430, "RedQueen", 250, 655, false)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:NpcCallOut("Although Rose`s whereabouts are unknown, it can be confirmed that she is still alive and has not been infected by those Experimental Subjects.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_Summer202307", 150, 430, "RedQueen", 250, 655, false)
CppScriptMgr:WaitMilSec(3500)
CppScriptMgr:NpcCallOut("[Red Queen] will wait in [Lost City]. You can meet me in the Safe House.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_Summer202307", 150, 430, "RedQueen", 250, 655, false)
CppScriptMgr:WaitMilSec(3000)